package inn.ocsf.bee.freigeld.core.model.data;

import inn.ocsf.bee.freigeld.core.model.Ticket;
import inn.ocsf.bee.freigeld.core.model.TicketStatus;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.Version;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

@Document("ticket")
public class TicketData {

    @Id
    private ObjectId id;

    @Version
    private Long version;

    private TicketStatus status;

    private Ticket ticket;

    private String topic;

    private Date ts;

    private Date hold;

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public ObjectId getId() {
        return id;
    }

    public void setId(ObjectId id) {
        this.id = id;
    }

    public TicketStatus getStatus() {
        return status;
    }

    public void setStatus(TicketStatus status) {
        this.status = status;
    }

    public Ticket getTicket() {
        return ticket;
    }

    public void setTicket(Ticket ticket) {
        this.ticket = ticket;
    }

    public Date getTs() {
        return ts;
    }

    public void setTs(Date ts) {
        this.ts = ts;
    }

    public Date getHold() {
        return hold;
    }

    public void setHold(Date hold) {
        this.hold = hold;
    }
}
